# Module clap::parser

source · [−]
Expand description

`Command` line argument parser

## Structs

ArgMatches

Container for parse results.

IdsRef

Iterate over `Arg` and `ArgGroup` `Id`s via `ArgMatches::ids`.

Indices

Iterate over indices for where an argument appeared when parsing, via `ArgMatches::indices_of`

RawValues

Iterate over raw argument values via `ArgMatches::get_raw`.

Values

Iterate over multiple values for an argument via `ArgMatches::remove_many`.

ValuesRef

Iterate over multiple values for an argument via `ArgMatches::get_many`.

## Enums

MatchesError

Violation of `ArgMatches` assumptions

ValueSource

Origin of the argument’s value